Subject: Re: Keyboard issue: unresponsive keystroke
From: Eric Vautier <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Aug 2010 15:03:56 +0200
List-Id: <cygwin.cygwin.com>

Thanks for the response, Eric, it helped me troubleshoot the issue.

Seems I never set my HOME environment variable (sigh), so it all ended
up in my Windows home directory. Asserting ~/.inputrc did not have DOS
line endings didn't have any effect, but removing the file allowed me
to type all chars again (that's a relief).

The only thing I had in that custom ~/.inputrc were system beep
suppression directives, namely:

set bell-style no
setterm -blength 0

After setting the HOME variable in my .bat file, I recreated .inputrc
in vim and everything is fine again. I suspect permissions in the
Windows user directory conflicted with Cygwin's installation.

Cheers,
Éric

On Mon, Aug 30, 2010 at 6:58 PM, Eric Blake <[email-masked]> wrote:
> On 08/30/2010 10:52 AM, Eric Vautier wrote:
>>
>> Hello all,
>>
>> I've used the US-International keyboard layout for ages without issues.
>> Recently, I fired cygwin and noticed the "s" key was unresponsive.
>
> Did you check whether ~/.inputrc has DOS line endings?  If so, run d2u on
> it, and see if that fixes things.
>
> --
> Eric Blake   [email-masked]    +1-801-349-2682
> Libvirt virtualization library http://libvirt.org
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple